__gnu_parallel::__fill_selector< _It > Struct Template Reference

`#include <for_each_selectors.h>`

Inheritance diagram for __gnu_parallel::__fill_selector< _It >:
[legend]

## Public Member Functions

template<typename _ValueType>
bool | operator() (_ValueType &__v, _It __i)

## Public Attributes

_It | _M_finish_iterator

## Detailed Description

template<typename _It>
struct __gnu_parallel::__fill_selector< _It >

std::fill() selector.

Definition at line 84 of file for_each_selectors.h.

## Member Function Documentation

## operator()()

template<typename _It>
template<typename _ValueType>

bool __gnu_parallel::__fill_selector< _It >::operator() | ( | _ValueType & | __v,
|  | _It | __i )

inline

Functor execution.

Parameters

  __v | Current value.
  __i | iterator referencing object.

Definition at line 91 of file for_each_selectors.h.

## Member Data Documentation

## _M_finish_iterator

template<typename _It>

_It __gnu_parallel::__generic_for_each_selector< _It >::_M_finish_iterator

inherited

_Iterator on last element processed; needed for some algorithms (e. g. std::transform()).

Definition at line 47 of file for_each_selectors.h.

The documentation for this struct was generated from the following file:

- for_each_selectors.h